List feature engineering jobs
curl --request GET \
--url https://api.example.com/api/automl/feature-engineering/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/automl/feature-engineering/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/automl/feature-engineering/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_table_name": "<string>",
"domain": "<string>",
"owner": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Feature engineering
List feature engineering jobs
Paginated list of feature engineering jobs.
GET
/
api
/
automl
/
feature-engineering
/
jobs
List feature engineering jobs
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Filter by business domain.
Filter by owner username.
Filter by status. Lifecycle of an AutoML feature engineering job.
Available options:
running, pending_approval, failed, approved, materializing, complete Required range:
1 <= x <= 500Required range:
x >= 0Was this page helpful?
⌘I

